clear all
close all
% ------------------
KP = 0;
KD = 0;
KI = 0;
% ------------------

omega=logspace(-2,3,100);

K = tf([KD KP KI],[1 0])

K_nom = 10;
T_nom = 0.0933;
P_nom = tf(K_nom,[T_nom 1 0]);

W1 = tf([5],[1 0]);
W2 = 0.065*tf([0.5 1],[0.12 1]);

D = ultidyn('Delta',[1 1]);
T = feedback(P_nom*K,1);
S = inv(1+P_nom*K);

[gain_W1S,phase_W1S]=bode(omega,W1*S);
 gain_W1S_dB=20*log10(gain_W1S(:));
 
 [gain_W2T,phase_W2T]=bode(omega,W2*T);
 gain_W2T_dB=20*log10(gain_W2T(:));
 
 W1SW2T=gain_W1S+gain_W2T;
 gain_W1SW2T_dB=20*log10(W1SW2T(:));
 
figure(7)
bodemag(S)
hold on
bodemag(1/W1)
grid on

figure(8)
bodemag(T)
hold on
bodemag(1/W2)
grid on

% figure(9)
% bodemag(S)
% hold on
% bodemag(T)

figure(6)
semilogx(omega,gain_W1S_dB(:,1),'b'); 
hold on 
semilogx(omega,gain_W2T_dB(:,1),'r'); 
hold on
semilogx(omega,gain_W1SW2T_dB,'m'); 
grid on
legend('|W1*S|','|W2*T|','|W1*S|+|W2*T|')




